하모니카 묻고답하기

?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄
?

단축키

Prev이전 문서

Next다음 문서

크게 작게 위로 아래로 댓글로 가기 인쇄

https://docs.hamonikr.org/hamonikr-7.0/ubuntu-hamonikr

위 알려준대로. 했는데.

아래와 같이 xapp 의존성 오류가 나는군요.

우분투 22.04LTS 버전을 사용중입니다.

 

어떻게 해결해야 할까요? 

 

 

 

 

root@nonots-mainpc:~# apt-get install  ubuntu-hamonikr-respin

패키지 목록을 읽는 중입니다... 완료

의존성 트리를 만드는 중입니다... 완료

상태 정보를 읽는 중입니다... 완료        

몇몇 패키지를 설치할 수 없습니다. 요청한 상황이 불가능할 수도 있고,

불안정 배포판을 사용해서 일부 필요한 패키지를 아직 만들지 않았거나,

아직 Incoming에서 나오지 않은 경우일 수도 있습니다.

이 상황을 해결하는데 다음 정보가 도움이 될 수도 있습니다:

 

다음 패키지의 의존성이 맞지 않습니다:

 xapp : 의존: libxapp1 (= 2.2.8-1) 하지만 2.6.1+klbkjammy 패키지를 설치할 것입니다

E: 문제를 바로잡을 수 없습니다. 망가진 고정 패키지가 있습니다.

root@nonots-mainpc:~# 

 
  • ?
    Japser 2023.12.27 15:34
    저는 아무 문제 없이 성공했는데.. respin 문제보단 패키지 설치하다 뭔가 잘못설치되거나 설치되다 중간에 중단되었거나 하는 것이 있어보입s니다.
    sudo apt autoremove && sudo apt autoclean -y && sudo apt autopurge && sudo apt --fix-broken install -y

    이렇게해서 불필요하거나 제거가 덜되었거나 픽스되어야할 부분을 정리하고 다시 respin 해보는보시는건 어떨까요
  • ?
    K299792458 2023.12.27 15:56
    위 명령어로 해도 똑같군요.
    원인이 22.04 기본 xapp 버전이 2.2 인데
    xapps-common 이니 libxapp1 이 2.6 으로 더 높아서 , 버전이 안맞아서 xapp 가 설치가안되고.
    그게 설치 안되니 respin 도 안되는거 같군요.
    ..
    그동안 내가 이것저것 하면서 xapps 관련 뭔가 버전이 달라진거 같네요.
    강제로 respin 을 설치하는 방법은 없을까요?
    이게 민트 mint 패키지 관련 다른 부분에도 이런 문제가 있는거 같군요.
    https://forums.linuxmint.com/viewtopic.php?t=380353


    =============
    root@nonots-mainpc:/etc# apt search xapp
    ...
    libxapp1/jammy,now 2.6.1+klbkjammy amd64 [설치됨]
    XApp library

    xapp/jammy 2.2.8-1 amd64
    Libraries and common resources for multiple desktop environments

    xapps-common/jammy,jammy,now 2.6.1+klbkjammy all [설치됨,자동]
    Common files for XApp desktop apps

    xapps-doc/jammy,jammy 2.6.1+klbkjammy all
    Libxapp documentation

    ..
  • ?
    K299792458 2023.12.27 16:05
    한가지 의심이 되는건.
    하모니카에 있는 힙노틱스 hypnotix 가 맘에 들에 우분투에서 수동으로 약간 억지로(?) 설치해서 보고 있엇는데.
    이거 설치하면서 뭔가 패키지들 간의 버전이 좀 달라진건지 모르겠군요.
  • ?
    Japser 2023.12.27 17:06
    apt search xapp 으로 본 제 패키지 상태 입니다.

    gir1.2-xapp-1.0/jammy,now 2.2.8-1 amd64 [설치됨,자동]
    Introspection data for Xapp

    libxapp-dev/jammy 2.2.8-1 amd64
    XApp library - development files

    libxapp1/jammy,now 2.2.8-1 amd64 [설치됨,자동]
    XApp library

    lxappearance/jammy 0.6.3-1build1 amd64
    LXDE GTK+ 테마 스위치

    lxappearance-dbg/jammy 0.6.3-1build1 amd64
    LXDE GTK+ theme switcher (debug)

    lxappearance-obconf/jammy 0.2.3-1build2 amd64
    LXDE GTK+ theme switcher (plugin)

    lxappearance-obconf-dbg/jammy 0.2.3-1build2 amd64
    LXDE GTK+ theme switcher (plugin - debug)

    lxde/jammy,jammy 11 all
    LXDE용 메타패키지

    python3-xapp/jammy,jammy,now 2.2.1-2 all [설치됨,자동]
    Python 3 XApp library

    xapp/jammy,now 2.2.8-1 amd64 [설치됨,자동]
    Libraries and common resources for multiple desktop environments

    xapps-common/jammy,jammy,now 2.2.8-1 all [설치됨,자동]
    Files that are common across Xapp desktop applications

    xapps-doc/jammy,jammy 2.2.8-1 all
    Libxapp documentation


    xapp 버젼은 2.6에서 2.2로 내려야될거같네요
  • profile
    Kevin 2023.12.27 17:29

    버전을 지정해서 해당 패키지를 재설치하고 시도하셔야 할 것 같습니다.

    터미널에서 아래와 같이 이전 버전을 지정해서 설치 후 시도해보세요.
    (xapp, xapps-common 등의 패키지도 동일하게 버전을 내려서 재설치)

    sudo apt install libxapp1=2.2.8-1 --reinstall
    sudo dpkg --configure -a


List of Articles
번호 제목 추천 수 글쓴이 날짜 조회 수
공지 게시판에 질문하기 전 읽기 - 어떻게 질문을 하는 것이 좋을까? 1 0 Kevin 2019.11.18 12983
2429 와이파이 자동으로 못잡나요..? 4 0 윤동원 2024.03.02 172
2428 군대 사지방에서 프로그램 다운로드를 어떻게 할 수 있을지 방법이 궁금합니다. 2 0 하모니카어렵네요 2024.02.28 537
2427 apt에서 chromium-chromedriver 설치하는데 오류가 생깁니다. 4 0 isanghan 2024.02.28 118
2426 20대 30대 file 2 영남2 2024.02.28 164
2425 삼성 노트북에서 하모니카 설치하신 분 있으신가요? 6 0 자장러로허 2024.02.27 294
2424 현재 크로미움이나 크로미움 기반 브라우저에서 하드웨어 가속 할려면 복잡합니까? 1 0 fbiggg 2024.02.19 217
2423 블루투스 게임패드가 게임안에서 인식이 안됩니다. 2 file 0 q8400 2024.02.19 196
2422 그래서 싸지방 메가스터디는 아직 해결이 안되는 것인가요? 1 0 군바리2 2024.02.18 720
2421 [질문] 어플리케이션 별로 각각 locale 을 설정할 수 있나요 ? 2 file 0 까시 2024.02.17 166
2420 노트북 시스템 종료 후 자동재부팅 증상.. 도와주세요 3 0 빵창 2024.02.16 167
2419 [문의] 하모니카 7.0 LTS 커널 (향후 커널 버전 계획?) 1 0 파인트리 2024.02.11 221
2418 하모니카 zsh에 대한 질문 1 0 깝나기 2024.02.06 211
2417 설치 도와주세요 4 file 0 이일 2024.02.02 425
2416 배포판 만드는 법 게시물 올려주실 분 계실까요? 5 0 포토슬럼프 2024.01.29 478
2415 하모니카os 리그오브레전드 실행 오류 및 배틀넷 설치 관련 질문 1 0 kaisia 2024.01.29 633
2414 [질문] 터미널 에서 줄간격 줄이기 (우분투) 3 file 0 까시 2024.01.28 548
2413 하드에서 ssd로 마이그레이션 7 0 포토슬럼프 2024.01.26 496
2412 폴백 모드 오류 2 0 J.H 2024.01.25 397
2411 안녕하세요 하모니카 관련해서 질문이 있습니다 4 0 Angry.Nerd 2024.01.23 479
2410 wine 한글 깨짐 3 0 J.H 2024.01.21 515
Board Pagination Prev 1 2 3 4 5 6 7 8 9 10 ... 123 Next
/ 123
CLOSE